<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include('config/config_char2accother.php');

if (isset($_POST['action']))
{
	$action = $_POST['action'];

	if ($action == 'char2accother')
	{
		$character = $_POST['character'];
        $acctranfer = $_POST['acctranfer'];
        $chartranfer = $_POST['chartranfer'];
		$pass2tranfer = $_POST['pass2tranfer'];
		
		$pass2 = $_POST['pass2'];
		$quest = $_POST['quest'];
		$ans = $_POST['ans'];
		
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($acctranfer)) {
			$error = "Chưa nhập tài khoản chuyển sang";
		}
		elseif(empty($chartranfer)) {
			$error = "Chưa nhập Tên mới";
		}
		elseif(strlen($chartranfer) < 4) {
			$error = "Tên nhân vật mới phải nhiều hơn 4 ký tự";
		}
		elseif ($pass2tranfer==NULL)
			{
				$error = "<font color='red'>Dữ liệu lỗi - Chưa nhập mật khẩu Web của tài khoản chuyển sang.</font><br>";
			}
		elseif ($pass2==NULL)
			{
				$error = "<font color='red'>Dữ liệu lỗi - Chưa nhập mật khẩu Web của tài khoản chuyển đi.</font><br>";
			}
		elseif (preg_match("/[^a-zA-Z0-9$]/", $chartranfer))
			{
				$error = "<font color='red'>Dữ liệu lỗi - Tên nhân vật mới chỉ được sử dụng kí tự a-z, A-Z, số (1-9).</font><br>";
			}
		elseif (preg_match("/[^1-9$]/", $quest))
			{
				$error = "<font color='red'>Dữ liệu lỗi - Chưa chọn câu hỏi bí mật.</font>";
			}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $ans))
			{
				$error = "<font color='red'>Dữ liệu lỗi - Câu trả lời bí mật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font><br>";
			}
		else {
			
			$getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'nameold'    =>  $character,
                'acctranfer'    =>  $acctranfer,
                'chartranfer'    =>  $chartranfer,
				'pass2tranfer'	=> $pass2tranfer,
                'pass2'    =>  $pass2,
                'quest'    =>  $quest,
                'ans'    =>  $ans,
                
                'pagesv'	=>	'sv_char_char2accother',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
			     $info = read_TagName($reponse, 'info', 1);
				if($info == 'OK') {
					$_SESSION['acc_gcoin'] = read_TagName($reponse, 'gcoin', 1);
                    $_SESSION['acc_gcoin_km'] = read_TagName($reponse, 'gcoinkm', 1);
                    $notice = read_TagName($reponse, 'notice', 1);
				}
				else $error = $reponse;
			}
		}
	}
}

$accept = 1;
if ( $_SESSION['nv_online'] == 1) { $accept = 0; }	

$page_template = "templates/char_manager/char2accother.tpl";
?>